i have mac os10.4 and need 10.5 to do everything it seems...how do i get it?

  • Asked about:  Mac OS X 10.6 Snow Leopard

No Answers have been submitted